Upsert merchant
Creates or updates a merchant based on the merchant’s reference_id.
If a merchant with a matching reference_id is found,
it will be updated. If no matching merchant is found,
a new one will be created.
The HTTP response code (200 OK or 201 Created) indicates
whether the resource was updated or created, respectively.
merchant_id is the primary unique identifier for all Merchant APIs.
Be cautious when using reference_id as a unique identifier.
Merchants must have an address or site_url set.
This endpoint is not rate limited.
Scopes: MERCHANTS_WRITE
Headers
Accept
X-Region
X-Signature
User-Agent
Request
This endpoint expects an object.
merchant
Details about the merchant to create or update.
Response
OK
merchant
A merchant represents a depository account when processing payments from Cash App customers. Merchants do not have direct access to Cash App, so processed payments are stored in this account until they are ready for settlement.
Errors
400
Upsert Merchant Request Bad Request Error